---
- name: Get Tailscale IP for specified nodes
  hosts: all
  gather_facts: no
  tasks:
    - name: Get tailscale IP
      shell: "tailscale ip -4"
      register: tailscale_ip

    - name: Display Tailscale IP
      debug:
        msg: "Node {{ inventory_hostname }} has IP: {{ tailscale_ip.stdout }}"